mscorlib 4.0.0.0 System.Object To be added.

Contains static methods for retrieving custom attributes.

- Method
  4.0.0.0
  System.Attribute `` ``

  Use the extension method if you expect more than one value to be returned, or will be thrown.

  Retrieves a custom attribute of a specified type that is applied to a specified assembly.

  A custom attribute that matches , or null if no such attribute is found.

  The assembly to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  System.Attribute `` ``

  Use the extension method if you expect more than one value to be returned, or will be thrown.

  Retrieves a custom attribute of a specified type that is applied to a specified member.

  A custom attribute that matches , or null if no such attribute is found.

  The member to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  System.Attribute `` ``

  Use the extension method if you expect more than one value to be returned, or will be thrown.

  Retrieves a custom attribute of a specified type that is applied to a specified module.

  A custom attribute that matches , or null if no such attribute is found.

  The module to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  System.Attribute `` ``

  Use the extension method if you expect more than one value to be returned, or will be thrown.

  Retrieves a custom attribute of a specified type that is applied to a specified parameter.

  A custom attribute that matches , or null if no such attribute is found.

  The parameter to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  System.Attribute `` `` ``

  Use the extension method if you expect more than one value to be returned, or will be thrown.

  Retrieves a custom attribute of a specified type that is applied to a specified member, and optionally inspects the ancestors of that member.

  A custom attribute that matches , or null if no such attribute is found.

  The member to inspect. The type of attribute to search for. true to inspect the ancestors of ; otherwise, false.
- Method
  4.0.0.0
  System.Attribute `` `` ``

  Use the extension method if you expect more than one value to be returned, or will be thrown.

  Retrieves a custom attribute of a specified type that is applied to a specified parameter, and optionally inspects the ancestors of that parameter.

  A custom attribute matching , or null if no such attribute is found.

  The parameter to inspect. The type of attribute to search for. true to inspect the ancestors of ; otherwise, false.
- Method
  4.0.0.0
  T System.Attribute ``

  Use the extension method if you expect more than one value to be returned, or will be thrown.

  Retrieves a custom attribute of a specified type that is applied to a specified assembly.

  A custom attribute that matches , or null if no such attribute is found.

  The assembly to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  T System.Attribute ``

  Use the extension method if you expect more than one value to be returned, or will be thrown.

  Retrieves a custom attribute of a specified type that is applied to a specified member.

  A custom attribute that matches , or null if no such attribute is found.

  The member to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  T System.Attribute ``

  Use the extension method if you expect more than one value to be returned, or will be thrown.

  Retrieves a custom attribute of a specified type that is applied to a specified module.

  A custom attribute that matches , or null if no such attribute is found.

  The module to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  T System.Attribute ``

  Use the extension method if you expect more than one value to be returned, or will be thrown.

  Retrieves a custom attribute of a specified type that is applied to a specified parameter.

  A custom attribute that matches , or null if no such attribute is found.

  The parameter to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  T System.Attribute `` ``

  Use the extension method if you expect more than one value to be returned, or will be thrown.

  Retrieves a custom attribute of a specified type that is applied to a specified member, and optionally inspects the ancestors of that member.

  A custom attribute that matches , or null if no such attribute is found.

  The member to inspect. true to inspect the ancestors of ; otherwise, false. The type of attribute to search for.
- Method
  4.0.0.0
  T System.Attribute `` ``

  Use the extension method if you expect more than one value to be returned, or will be thrown.

  Retrieves a custom attribute of a specified type that is applied to a specified parameter, and optionally inspects the ancestors of that parameter.

  A custom attribute that matches , or null if no such attribute is found.

  The parameter to inspect. true to inspect the ancestors of ; otherwise, false. The type of attribute to search for.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Attribute> `` To be added.

  Retrieves a collection of custom attributes that are applied to a specified assembly.

  A collection of the custom attributes that are applied to , or an empty collection if no such attributes exist.

  The assembly to inspect.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Attribute> `` To be added.

  Retrieves a collection of custom attributes that are applied to a specified member.

  A collection of the custom attributes that are applied to , or an empty collection if no such attributes exist.

  The member to inspect.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Attribute> `` To be added.

  Retrieves a collection of custom attributes that are applied to a specified module.

  A collection of the custom attributes that are applied to , or an empty collection if no such attributes exist.

  The module to inspect.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Attribute> `` To be added.

  Retrieves a collection of custom attributes that are applied to a specified parameter.

  A collection of the custom attributes that are applied to , or an empty collection if no such attributes exist.

  The parameter to inspect.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Attribute> `` `` To be added.

  Retrieves a collection of custom attributes of a specified type that are applied to a specified assembly.

  A collection of the custom attributes that are applied to and that match , or an empty collection if no such attributes exist.

  The assembly to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Attribute> `` `` To be added.

  Retrieves a collection of custom attributes that are applied to a specified member, and optionally inspects the ancestors of that member.

  A collection of the custom attributes that are applied to that match the specified criteria, or an empty collection if no such attributes exist.

  The member to inspect. true to inspect the ancestors of ; otherwise, false.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Attribute> `` `` To be added.

  Retrieves a collection of custom attributes of a specified type that are applied to a specified member.

  A collection of the custom attributes that are applied to and that match , or an empty collection if no such attributes exist.

  The member to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Attribute> `` `` To be added.

  Retrieves a collection of custom attributes of a specified type that are applied to a specified module.

  A collection of the custom attributes that are applied to and that match , or an empty collection if no such attributes exist.

  The module to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Attribute> `` `` To be added.

  Retrieves a collection of custom attributes that are applied to a specified parameter, and optionally inspects the ancestors of that parameter.

  A collection of the custom attributes that are applied to , or an empty collection if no such attributes exist.

  The parameter to inspect. true to inspect the ancestors of ; otherwise, false.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Attribute> `` `` To be added.

  Retrieves a collection of custom attributes of a specified type that are applied to a specified parameter.

  A collection of the custom attributes that are applied to and that match , or an empty collection if no such attributes exist.

  The parameter to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Attribute> `` `` `` To be added.

  Retrieves a collection of custom attributes of a specified type that are applied to a specified member, and optionally inspects the ancestors of that member.

  A collection of the custom attributes that are applied to and that match , or an empty collection if no such attributes exist.

  The member to inspect. The type of attribute to search for. true to inspect the ancestors of ; otherwise, false.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<System.Attribute> `` `` `` To be added.

  Retrieves a collection of custom attributes of a specified type that are applied to a specified parameter, and optionally inspects the ancestors of that parameter.

  A collection of the custom attributes that are applied to and that match , or an empty collection if no such attributes exist.

  The parameter to inspect. The type of attribute to search for. true to inspect the ancestors of ; otherwise, false.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<T> System.Attribute `` To be added.

  Retrieves a collection of custom attributes of a specified type that are applied to a specified assembly.

  A collection of the custom attributes that are applied to and that match , or an empty collection if no such attributes exist.

  The assembly to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<T> System.Attribute `` To be added.

  Retrieves a collection of custom attributes of a specified type that are applied to a specified member.

  A collection of the custom attributes that are applied to and that match , or an empty collection if no such attributes exist.

  The member to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<T> System.Attribute `` To be added.

  Retrieves a collection of custom attributes of a specified type that are applied to a specified module.

  A collection of the custom attributes that are applied to and that match , or an empty collection if no such attributes exist.

  The module to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<T> System.Attribute `` To be added.

  Retrieves a collection of custom attributes of a specified type that are applied to a specified parameter.

  A collection of the custom attributes that are applied to and that match , or an empty collection if no such attributes exist.

  The parameter to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<T> System.Attribute `` `` To be added.

  Retrieves a collection of custom attributes of a specified type that are applied to a specified member, and optionally inspects the ancestors of that member.

  A collection of the custom attributes that are applied to and that match , or an empty collection if no such attributes exist.

  The member to inspect. true to inspect the ancestors of ; otherwise, false. The type of attribute to search for.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerable<T> System.Attribute `` `` To be added.

  Retrieves a collection of custom attributes of a specified type that are applied to a specified parameter, and optionally inspects the ancestors of that parameter.

  A collection of the custom attributes that are applied to and that match , or an empty collection if no such attributes exist.

  The parameter to inspect. true to inspect the ancestors of ; otherwise, false. The type of attribute to search for.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether custom attributes of a specified type are applied to a specified assembly.

  true if an attribute of the specified type is applied to ; otherwise, false.

  The assembly to inspect. The type of the attribute to search for.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether custom attributes of a specified type are applied to a specified member.

  true if an attribute of the specified type is applied to ; otherwise, false.

  The member to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether custom attributes of a specified type are applied to a specified module.

  true if an attribute of the specified type is applied to ; otherwise, false.

  The module to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether custom attributes of a specified type are applied to a specified parameter.

  true if an attribute of the specified type is applied to ; otherwise, false.

  The parameter to inspect. The type of attribute to search for.
- Method
  4.0.0.0
  System.Boolean `` `` `` To be added.

  Indicates whether custom attributes of a specified type are applied to a specified member, and, optionally, applied to its ancestors.

  true if an attribute of the specified type is applied to ; otherwise, false.

  The member to inspect. The type of the attribute to search for. true to inspect the ancestors of ; otherwise, false.
- Method
  4.0.0.0
  System.Boolean `` `` `` To be added.

  Indicates whether custom attributes of a specified type are applied to a specified parameter, and, optionally, applied to its ancestors.

  true if an attribute of the specified type is applied to ; otherwise, false.

  The parameter to inspect. The type of attribute to search for. true to inspect the ancestors of ; otherwise, false.